Subject: bug#77257: inhibit-message should inhibit echo area clearing too

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Mar 2025 15:21:03 -0400

>> (let ((inhibit-message t)) (message "blah")) has the effect of clearing
>> the echo area.  I'd expect the semantic of inhibit-message to be
>> preventing all visible side effects of message --- not just some
>> of them.
>
> If we disable clearing the echo area in that case, should we also
> refrain from running echo-area-clear-hook?
>
> Stefan, do you see any potential problems in inhibiting clearing of
> the echo area when inhibit-message is bound to a non-nil value?

I'm not sufficiently familiar with the internals of `message` to have
a firm opinion, but it seems to make sense to inhibit *all* the effects.

        Stefan